import IController from './IController';
import IMark from './IMark';
declare type SpanControllerCbk = (event: Event, spanData: SpanData, controller: IController) => void;
declare class SpanData {
    charRange: [number, number];
    key: string;
    cssClasses: string[];
    subjects: string[];
    spanControllerEvents: {
        [eventName: string]: SpanControllerCbk;
    };
    text: string;
    constructor(charRange: [number, number], key: string, cssClasses: string[], subjects: string[], spanControllerEvents: {
        [eventName: string]: SpanControllerCbk;
    }, text: string);
    clone(): SpanData;
}
declare function TextSpanData(charRange: [number, number], spanText: string): SpanData;
declare function MarkSpanData(charRange: [number, number], spanText: string, marks: IMark[]): SpanData;
declare function SelectionSpanData(charRange: [number, number], spanText: string): SpanData;
declare function MetaStringSpanData(charRange: [number, number], spanText: string): SpanData;
export { SpanData as default, SpanControllerCbk, TextSpanData, MarkSpanData, SelectionSpanData, MetaStringSpanData };
