!function(e,t){"object"==typeof exports&&"object"==typeof module?module.exports=t():"function"==typeof define&&define.amd?define([],t):"object"==typeof exports?exports.vueMarkText=t():e.vueMarkText=t()}(self,(function(){return(()=>{var e={698:(e,t,n)=>{var s=n(15),r=n(645)(s);r.push([e.id,"\n.marked-text[data-v-9c7996ec] {\n  text-align: left;\n  margin-top: 30px;\n  margin-bottom: 30px;\n  margin-left: auto;\n  margin-right: auto;\n  padding: 10px 10px;\n  border-radius: 10px;\n  width: calc(90% - 2*30px - 2*10px - 2*5px);\n  height: calc(100% - 2*30px - 2*10px - 2*5px);\n  overflow-y: auto;\n  word-wrap: break-word;\n  white-space: pre-wrap;\n  position: relative;\n  z-index: 1;\n}\n\n","",{version:3,sources:["webpack://./src/MarkedText.vue"],names:[],mappings:";AAqSA;EACE,gBAAgB;EAChB,gBAAgB;EAChB,mBAAmB;EACnB,iBAAiB;EACjB,kBAAkB;EAClB,kBAAkB;EAClB,mBAAmB;EACnB,0CAA0C;EAC1C,4CAA4C;EAC5C,gBAAgB;EAChB,qBAAqB;EACrB,qBAAqB;EACrB,kBAAkB;EAClB,UAAU;AACZ",sourcesContent:["<template>\n<p class=\"marked-text\" @mouseup=\"event => controller.onMouseUpOther(event)\">\n  <DepotRenderer\n    :spanBatches=\"spanBatches\"\n    :spanDataToStyles=\"spanDataToStyles\"\n    @trigger=\"spanDataTrigger\"\n  />\n</p>\n</template>\n\n\n\n<script lang='ts'>\nimport chroma from 'chroma-js'\nimport { Component, defineComponent, PropType } from 'vue'\n\nimport DepotRenderer from './DepotRenderer.vue'\n\nimport IMarkedText from './IMarkedText'\nimport IController from './IController'\nimport SpanDepot from './SpanDepot'\nimport IMark from './IMark'\nimport SpanData, { SpanControllerCbk } from './SpanData'\nimport Subject, { SubjectStyleType } from './Subject'\n\n\nconst MarkedText: Component<IMarkedText> = defineComponent({\n\n  name: 'VueMarkedText',\n\n  components: {\n    DepotRenderer\n  },\n\n  props: {\n    sourceText: {\n      type: String,\n      required: true\n    },\n    marks: {\n      type: Array as PropType<IMark[]>,\n      required: true\n    },\n    controller: {\n      type: Object as PropType<IController>,\n      required: true\n    },\n    numSubjectColors: {\n      type: Number,\n      default: 8\n    },\n    subjectColorLightness: {\n      type: Number,\n      default: 1.0\n    },\n    subjectStyleType: {\n      type: String as PropType<SubjectStyleType>,\n      default: 'border'\n    }\n  },\n\n  data() {\n    const spanDepot = new SpanDepot(this.sourceText, this.marks)\n    const spanBatches: SpanData[][] = []\n    const colors: string[] = []\n    const activeSubjectNames = new Set<string>()\n    const subjectGlossary = new Map<string, Subject>()\n    return {\n      spanDepot,\n      spanBatches,\n      colors,\n      activeSubjectNames,\n      subjectGlossary\n    }\n  },\n\n  watch: {\n    sourceText() {\n      this.resetSpans()\n    },\n    controller(newController: IController, oldController: IController) {\n      oldController.unlink()\n      newController.link(this)\n    },\n    colorOptions() {\n      this.resetSubjects(false)\n      this.$forceUpdate()\n    },\n    subjectStyleType() {\n      this.resetSubjects(false)\n      this.$forceUpdate()\n    }\n  },\n\n  methods: {\n\n    generateColors() {\n\n      // Create a color scale with the desired brightness\n      const spectrum = chroma.scale(\n        [ 'ff0000', 'ffff00', '00ff00', '00ffff', '0000ff', 'ff00ff', 'ff0000' ].map(\n          colorStr => chroma.hex(colorStr).hsl()\n        ).map(\n          hcl => chroma.hsl(hcl[0], hcl[1], hcl[2] * this.subjectColorLightness)\n        )\n      )\n\n      let colors = spectrum.colors(this.numSubjectColors + 1).slice(0, this.numSubjectColors)\n\n      // Mix it up a bit more & get different colors earlier.\n      // Find a non-divisor to go to next color by about a 6th\n      let diff = Math.max(Math.round(colors.length / 6.0), 1)\n      while (diff > 1 && colors.length % diff === 0) diff -= 1\n      if (diff === 1) return colors\n\n      const newColors = colors.slice()\n      let idx = 0\n      for (const color of colors) {\n        newColors[idx] = color\n        idx += diff\n        if (idx >= newColors.length) idx -= newColors.length\n      }\n      return newColors\n    },\n\n    spanDataToStyles(spanData: SpanData) {\n      return spanData.subjects.map(\n        subject => this.subjectGlossary.get(subject)\n      ).filter(\n        subject => subject != null && subject.active\n      ).map(\n        subject => (subject as Subject).style\n      )\n    },\n\n    spanDataTrigger(payload: { rawEvent: Event, spanData: SpanData, spanControllerEvent: SpanControllerCbk }) {\n      payload.spanControllerEvent(payload.rawEvent, payload.spanData, this.controller)\n    },\n\n\n    resetSpans() {\n\n      this.spanDepot = new SpanDepot(this.sourceText, this.marks)\n      this.spanBatches = this.spanDepot.spanBatches.rawBatches\n\n      this.resetSubjects()\n\n    },\n\n    resetSubjects(resetActive: boolean = true) {\n\n      this.subjectGlossary.clear()\n      const subjectNames = new Set(\n        Array<string>().concat(...this.marks.map(mark => mark.subjects))\n      )\n      let colorIdx = 0\n      const colorMod = this.colors.length\n      for (const subjectName of subjectNames) {\n        this.subjectGlossary.set(subjectName, new Subject(\n          this,\n          subjectName,\n          this.colors[colorIdx],\n          this.subjectStyleType\n        ))\n        colorIdx = (colorIdx + 1) % colorMod\n      }\n\n      if (resetActive) this.activeSubjectNames = new Set(this.subjectGlossary.keys())\n      else {\n        for (const [subjectName, subject] of this.subjectGlossary.entries()) {\n          if (!this.activeSubjectNames.has(subjectName)) subject.active = false\n        }\n      }\n\n    },\n\n\n    resetSelection() {\n      this.spanDepot.selection = null\n      const selection = window.getSelection()\n      if (selection) selection.removeAllRanges()\n    },\n\n    setSelection(begChar: number, endChar: number) {\n      this.spanDepot.selection = [begChar, endChar]\n      const selection = window.getSelection()\n      if (selection) selection.removeAllRanges()\n    },\n\n    getSelection() {\n      return this.spanDepot.selection\n    },\n\n\n    subjectColor(subjectName: string) {\n      return this.subjectGlossary.get(subjectName)?.color\n    },\n    subjectStyle(subjectName: string) {\n      return this.subjectGlossary.get(subjectName)?.style\n    },\n\n    activateSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.active = true\n      this.activeSubjectNames.add(subjectName)\n      this.$forceUpdate()\n    },\n    deactivateSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.active = false\n      this.activeSubjectNames.delete(subjectName)\n      this.$forceUpdate()\n    },\n    toggleSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) {\n        if (subject.active) this.deactivateSubject(subjectName)\n        else this.activateSubject(subjectName)\n      }\n    },\n    activateAllSubjects() {\n      this.subjectGlossary.forEach(subject => { subject.active = true })\n      this.activeSubjectNames = new Set(this.subjectGlossary.keys())\n      this.$forceUpdate()\n    },\n    deactivateAllSubjects() {\n      this.subjectGlossary.forEach(subject => { subject.active = false })\n      this.activeSubjectNames = new Set()\n      this.$forceUpdate()\n    },\n\n    lineConnectSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.lineConnect()\n    },\n    lineDisconnectSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.lineDisconnect()\n    },\n    toggleLines(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.toggleLines()\n    },\n\n\n    metaStringEncloseSections(begSections: number[], endSections: number[]) {\n\n      const metaChars = Array(\n        ...begSections.map(idx => ['[', idx] as [string, number]),\n        ...endSections.map(idx => [']', idx] as [string, number]),\n      )\n\n      this.spanDepot.setMetaStrings(metaChars)\n\n    },\n\n    metaStringDivideBatches() {\n\n      const metaChars = Array(...this.spanBatches.filter(\n        batch => batch.length > 0\n      ).map(\n        batch => ['|', batch[0].charRange[0]] as [string, number]\n      ))\n\n      this.spanDepot.setMetaStrings(metaChars)\n\n    },\n\n    removeMetaStrings() {\n      this.spanDepot.setMetaStrings([])\n    }\n\n  },\n\n  beforeMount() {\n    this.colors = this.generateColors()\n    this.controller.link(this)\n    this.resetSpans()\n  },\n\n  beforeUnmount() {\n    this.controller.unlink()\n  }\n\n})\n\nexport default MarkedText\n<\/script>\n\n\n\n<style scoped>\n\n.marked-text {\n  text-align: left;\n  margin-top: 30px;\n  margin-bottom: 30px;\n  margin-left: auto;\n  margin-right: auto;\n  padding: 10px 10px;\n  border-radius: 10px;\n  width: calc(90% - 2*30px - 2*10px - 2*5px);\n  height: calc(100% - 2*30px - 2*10px - 2*5px);\n  overflow-y: auto;\n  word-wrap: break-word;\n  white-space: pre-wrap;\n  position: relative;\n  z-index: 1;\n}\n\n</style>\n\n\n<style>\n\n.leader-line {\n  z-index: 0;\n}\n\n</style>\n"],sourceRoot:""}]),e.exports=r},700:(e,t,n)=>{var s=n(15),r=n(645)(s);r.push([e.id,"\n.leader-line {\n  z-index: 0;\n}\n\n","",{version:3,sources:["webpack://./src/MarkedText.vue"],names:[],mappings:";AA2TA;EACE,UAAU;AACZ",sourcesContent:["<template>\n<p class=\"marked-text\" @mouseup=\"event => controller.onMouseUpOther(event)\">\n  <DepotRenderer\n    :spanBatches=\"spanBatches\"\n    :spanDataToStyles=\"spanDataToStyles\"\n    @trigger=\"spanDataTrigger\"\n  />\n</p>\n</template>\n\n\n\n<script lang='ts'>\nimport chroma from 'chroma-js'\nimport { Component, defineComponent, PropType } from 'vue'\n\nimport DepotRenderer from './DepotRenderer.vue'\n\nimport IMarkedText from './IMarkedText'\nimport IController from './IController'\nimport SpanDepot from './SpanDepot'\nimport IMark from './IMark'\nimport SpanData, { SpanControllerCbk } from './SpanData'\nimport Subject, { SubjectStyleType } from './Subject'\n\n\nconst MarkedText: Component<IMarkedText> = defineComponent({\n\n  name: 'VueMarkedText',\n\n  components: {\n    DepotRenderer\n  },\n\n  props: {\n    sourceText: {\n      type: String,\n      required: true\n    },\n    marks: {\n      type: Array as PropType<IMark[]>,\n      required: true\n    },\n    controller: {\n      type: Object as PropType<IController>,\n      required: true\n    },\n    numSubjectColors: {\n      type: Number,\n      default: 8\n    },\n    subjectColorLightness: {\n      type: Number,\n      default: 1.0\n    },\n    subjectStyleType: {\n      type: String as PropType<SubjectStyleType>,\n      default: 'border'\n    }\n  },\n\n  data() {\n    const spanDepot = new SpanDepot(this.sourceText, this.marks)\n    const spanBatches: SpanData[][] = []\n    const colors: string[] = []\n    const activeSubjectNames = new Set<string>()\n    const subjectGlossary = new Map<string, Subject>()\n    return {\n      spanDepot,\n      spanBatches,\n      colors,\n      activeSubjectNames,\n      subjectGlossary\n    }\n  },\n\n  watch: {\n    sourceText() {\n      this.resetSpans()\n    },\n    controller(newController: IController, oldController: IController) {\n      oldController.unlink()\n      newController.link(this)\n    },\n    colorOptions() {\n      this.resetSubjects(false)\n      this.$forceUpdate()\n    },\n    subjectStyleType() {\n      this.resetSubjects(false)\n      this.$forceUpdate()\n    }\n  },\n\n  methods: {\n\n    generateColors() {\n\n      // Create a color scale with the desired brightness\n      const spectrum = chroma.scale(\n        [ 'ff0000', 'ffff00', '00ff00', '00ffff', '0000ff', 'ff00ff', 'ff0000' ].map(\n          colorStr => chroma.hex(colorStr).hsl()\n        ).map(\n          hcl => chroma.hsl(hcl[0], hcl[1], hcl[2] * this.subjectColorLightness)\n        )\n      )\n\n      let colors = spectrum.colors(this.numSubjectColors + 1).slice(0, this.numSubjectColors)\n\n      // Mix it up a bit more & get different colors earlier.\n      // Find a non-divisor to go to next color by about a 6th\n      let diff = Math.max(Math.round(colors.length / 6.0), 1)\n      while (diff > 1 && colors.length % diff === 0) diff -= 1\n      if (diff === 1) return colors\n\n      const newColors = colors.slice()\n      let idx = 0\n      for (const color of colors) {\n        newColors[idx] = color\n        idx += diff\n        if (idx >= newColors.length) idx -= newColors.length\n      }\n      return newColors\n    },\n\n    spanDataToStyles(spanData: SpanData) {\n      return spanData.subjects.map(\n        subject => this.subjectGlossary.get(subject)\n      ).filter(\n        subject => subject != null && subject.active\n      ).map(\n        subject => (subject as Subject).style\n      )\n    },\n\n    spanDataTrigger(payload: { rawEvent: Event, spanData: SpanData, spanControllerEvent: SpanControllerCbk }) {\n      payload.spanControllerEvent(payload.rawEvent, payload.spanData, this.controller)\n    },\n\n\n    resetSpans() {\n\n      this.spanDepot = new SpanDepot(this.sourceText, this.marks)\n      this.spanBatches = this.spanDepot.spanBatches.rawBatches\n\n      this.resetSubjects()\n\n    },\n\n    resetSubjects(resetActive: boolean = true) {\n\n      this.subjectGlossary.clear()\n      const subjectNames = new Set(\n        Array<string>().concat(...this.marks.map(mark => mark.subjects))\n      )\n      let colorIdx = 0\n      const colorMod = this.colors.length\n      for (const subjectName of subjectNames) {\n        this.subjectGlossary.set(subjectName, new Subject(\n          this,\n          subjectName,\n          this.colors[colorIdx],\n          this.subjectStyleType\n        ))\n        colorIdx = (colorIdx + 1) % colorMod\n      }\n\n      if (resetActive) this.activeSubjectNames = new Set(this.subjectGlossary.keys())\n      else {\n        for (const [subjectName, subject] of this.subjectGlossary.entries()) {\n          if (!this.activeSubjectNames.has(subjectName)) subject.active = false\n        }\n      }\n\n    },\n\n\n    resetSelection() {\n      this.spanDepot.selection = null\n      const selection = window.getSelection()\n      if (selection) selection.removeAllRanges()\n    },\n\n    setSelection(begChar: number, endChar: number) {\n      this.spanDepot.selection = [begChar, endChar]\n      const selection = window.getSelection()\n      if (selection) selection.removeAllRanges()\n    },\n\n    getSelection() {\n      return this.spanDepot.selection\n    },\n\n\n    subjectColor(subjectName: string) {\n      return this.subjectGlossary.get(subjectName)?.color\n    },\n    subjectStyle(subjectName: string) {\n      return this.subjectGlossary.get(subjectName)?.style\n    },\n\n    activateSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.active = true\n      this.activeSubjectNames.add(subjectName)\n      this.$forceUpdate()\n    },\n    deactivateSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.active = false\n      this.activeSubjectNames.delete(subjectName)\n      this.$forceUpdate()\n    },\n    toggleSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) {\n        if (subject.active) this.deactivateSubject(subjectName)\n        else this.activateSubject(subjectName)\n      }\n    },\n    activateAllSubjects() {\n      this.subjectGlossary.forEach(subject => { subject.active = true })\n      this.activeSubjectNames = new Set(this.subjectGlossary.keys())\n      this.$forceUpdate()\n    },\n    deactivateAllSubjects() {\n      this.subjectGlossary.forEach(subject => { subject.active = false })\n      this.activeSubjectNames = new Set()\n      this.$forceUpdate()\n    },\n\n    lineConnectSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.lineConnect()\n    },\n    lineDisconnectSubject(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.lineDisconnect()\n    },\n    toggleLines(subjectName: string) {\n      const subject = this.subjectGlossary.get(subjectName)\n      if (subject != null) subject.toggleLines()\n    },\n\n\n    metaStringEncloseSections(begSections: number[], endSections: number[]) {\n\n      const metaChars = Array(\n        ...begSections.map(idx => ['[', idx] as [string, number]),\n        ...endSections.map(idx => [']', idx] as [string, number]),\n      )\n\n      this.spanDepot.setMetaStrings(metaChars)\n\n    },\n\n    metaStringDivideBatches() {\n\n      const metaChars = Array(...this.spanBatches.filter(\n        batch => batch.length > 0\n      ).map(\n        batch => ['|', batch[0].charRange[0]] as [string, number]\n      ))\n\n      this.spanDepot.setMetaStrings(metaChars)\n\n    },\n\n    removeMetaStrings() {\n      this.spanDepot.setMetaStrings([])\n    }\n\n  },\n\n  beforeMount() {\n    this.colors = this.generateColors()\n    this.controller.link(this)\n    this.resetSpans()\n  },\n\n  beforeUnmount() {\n    this.controller.unlink()\n  }\n\n})\n\nexport default MarkedText\n<\/script>\n\n\n\n<style scoped>\n\n.marked-text {\n  text-align: left;\n  margin-top: 30px;\n  margin-bottom: 30px;\n  margin-left: auto;\n  margin-right: auto;\n  padding: 10px 10px;\n  border-radius: 10px;\n  width: calc(90% - 2*30px - 2*10px - 2*5px);\n  height: calc(100% - 2*30px - 2*10px - 2*5px);\n  overflow-y: auto;\n  word-wrap: break-word;\n  white-space: pre-wrap;\n  position: relative;\n  z-index: 1;\n}\n\n</style>\n\n\n<style>\n\n.leader-line {\n  z-index: 0;\n}\n\n</style>\n"],sourceRoot:""}]),e.exports=r},645:e=>{"use strict";e.exports=function(e){var t=[];return t.toString=function(){return this.map((function(t){var n=e(t);return t[2]?"@media ".concat(t[2]," {").concat(n,"}"):n})).join("")},t.i=function(e,n,s){"string"==typeof e&&(e=[[null,e,""]]);var r={};if(s)for(var o=0;o<this.length;o++){var a=this[o][0];null!=a&&(r[a]=!0)}for(var c=0;c<e.length;c++){var i=[].concat(e[c]);s&&r[i[0]]||(n&&(i[2]?i[2]="".concat(n," and ").concat(i[2]):i[2]=n),t.push(i))}},t}},15:e=>{"use strict";function t(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,s=new Array(t);n<t;n++)s[n]=e[n];return s}e.exports=function(e){var n,s,r=(s=4,function(e){if(Array.isArray(e))return e}(n=e)||function(e,t){if("undefined"!=typeof Symbol&&Symbol.iterator in Object(e)){var n=[],s=!0,r=!1,o=void 0;try{for(var a,c=e[Symbol.iterator]();!(s=(a=c.next()).done)&&(n.push(a.value),!t||n.length!==t);s=!0);}catch(e){r=!0,o=e}finally{try{s||null==c.return||c.return()}finally{if(r)throw o}}return n}}(n,s)||function(e,n){if(e){if("string"==typeof e)return t(e,n);var s=Object.prototype.toString.call(e).slice(8,-1);return"Object"===s&&e.constructor&&(s=e.constructor.name),"Map"===s||"Set"===s?Array.from(e):"Arguments"===s||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(s)?t(e,n):void 0}}(n,s)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()),o=r[1],a=r[3];if("function"==typeof btoa){var c=btoa(unescape(encodeURIComponent(JSON.stringify(a)))),i="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(c),l="/*# ".concat(i," */"),u=a.sources.map((function(e){return"/*# sourceURL=".concat(a.sourceRoot||"").concat(e," */")}));return[o].concat(u).concat([l]).join("\n")}return[o].join("\n")}},479:(e,t,n)=>{var s=n(698);"string"==typeof s&&(s=[[e.id,s,""]]),s.locals&&(e.exports=s.locals),(0,n(346).Z)("978e5366",s,!1,{})},391:(e,t,n)=>{var s=n(700);"string"==typeof s&&(s=[[e.id,s,""]]),s.locals&&(e.exports=s.locals),(0,n(346).Z)("6588b6f9",s,!1,{})},346:(e,t,n)=>{"use strict";function s(e,t){for(var n=[],s={},r=0;r<t.length;r++){var o=t[r],a=o[0],c={id:e+":"+r,css:o[1],media:o[2],sourceMap:o[3]};s[a]?s[a].parts.push(c):n.push(s[a]={id:a,parts:[c]})}return n}n.d(t,{Z:()=>d});var r="undefined"!=typeof document;if("undefined"!=typeof DEBUG&&DEBUG&&!r)throw new Error("vue-style-loader cannot be used in a non-browser environment. Use { target: 'node' } in your Webpack config to indicate a server-rendering environment.");var o={},a=r&&(document.head||document.getElementsByTagName("head")[0]),c=null,i=0,l=!1,u=function(){},p=null,h="data-vue-ssr-id",f="undefined"!=typeof navigator&&/msie [6-9]\b/.test(navigator.userAgent.toLowerCase());function d(e,t,n,r){l=n,p=r||{};var a=s(e,t);return b(a),function(t){for(var n=[],r=0;r<a.length;r++){var c=a[r];(i=o[c.id]).refs--,n.push(i)}for(t?b(a=s(e,t)):a=[],r=0;r<n.length;r++){var i;if(0===(i=n[r]).refs){for(var l=0;l<i.parts.length;l++)i.parts[l]();delete o[i.id]}}}}function b(e){for(var t=0;t<e.length;t++){var n=e[t],s=o[n.id];if(s){s.refs++;for(var r=0;r<s.parts.length;r++)s.parts[r](n.parts[r]);for(;r<n.parts.length;r++)s.parts.push(m(n.parts[r]));s.parts.length>n.parts.length&&(s.parts.length=n.parts.length)}else{var a=[];for(r=0;r<n.parts.length;r++)a.push(m(n.parts[r]));o[n.id]={id:n.id,refs:1,parts:a}}}}function g(){var e=document.createElement("style");return e.type="text/css",a.appendChild(e),e}function m(e){var t,n,s=document.querySelector("style["+h+'~="'+e.id+'"]');if(s){if(l)return u;s.parentNode.removeChild(s)}if(f){var r=i++;s=c||(c=g()),t=S.bind(null,s,r,!1),n=S.bind(null,s,r,!0)}else s=g(),t=v.bind(null,s),n=function(){s.parentNode.removeChild(s)};return t(e),function(s){if(s){if(s.css===e.css&&s.media===e.media&&s.sourceMap===e.sourceMap)return;t(e=s)}else n()}}var y,j=(y=[],function(e,t){return y[e]=t,y.filter(Boolean).join("\n")});function S(e,t,n,s){var r=n?"":s.css;if(e.styleSheet)e.styleSheet.cssText=j(t,r);else{var o=document.createTextNode(r),a=e.childNodes;a[t]&&e.removeChild(a[t]),a.length?e.insertBefore(o,a[t]):e.appendChild(o)}}function v(e,t){var n=t.css,s=t.media,r=t.sourceMap;if(s&&e.setAttribute("media",s),p.ssrId&&e.setAttribute(h,t.id),r&&(n+="\n/*# sourceURL="+r.sources[0]+" */",n+="\n/*# sourceMappingURL=data:application/json;base64,"+btoa(unescape(encodeURIComponent(JSON.stringify(r))))+" */"),e.styleSheet)e.styleSheet.cssText=n;else{for(;e.firstChild;)e.removeChild(e.firstChild);e.appendChild(document.createTextNode(n))}}}},t={};function n(s){if(t[s])return t[s].exports;var r=t[s]={id:s,exports:{}};return e[s](r,r.exports,n),r.exports}n.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return n.d(t,{a:t}),t},n.d=(e,t)=>{for(var s in t)n.o(t,s)&&!n.o(e,s)&&Object.defineProperty(e,s,{enumerable:!0,get:t[s]})},n.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),n.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var s={};return(()=>{"use strict";n.r(s),n.d(s,{AController:()=>v,NullController:()=>x,Subject:()=>y,TextSelectionController:()=>C,WordSelectionController:()=>w,default:()=>S});const e=require("vue"),t=(0,e.withScopeId)("data-v-9c7996ec")(((t,n,s,r,o,a)=>{const c=(0,e.resolveComponent)("DepotRenderer");return(0,e.openBlock)(),(0,e.createBlock)("p",{class:"marked-text",onMouseup:n[1]||(n[1]=e=>t.controller.onMouseUpOther(e))},[(0,e.createVNode)(c,{spanBatches:t.spanBatches,spanDataToStyles:t.spanDataToStyles,onTrigger:t.spanDataTrigger},null,8,["spanBatches","spanDataToStyles","onTrigger"])],32)})),r=require("tslib"),o=require("chroma-js");var a=n.n(o);const c=(0,e.defineComponent)({name:"BatchRenderer",props:{batch:{type:Array,required:!0},spanDataToStyles:{type:Function,required:!0}},emits:["trigger"],methods:{spanDataToCbk:function(e){var t=this;return Object.assign.apply(Object,(0,r.__spreadArray)([{}],(0,r.__read)(Object.entries(e.spanControllerEvents).map((function(n){var s,o=(0,r.__read)(n,2),a=o[0],c=o[1];return(s={})[a]=function(n){return t.$emit("trigger",{rawEvent:n,spanData:e,spanControllerEvent:c})},s})))))}}});c.render=function(t,n,s,r,o,a){return(0,e.openBlock)(!0),(0,e.createBlock)(e.Fragment,null,(0,e.renderList)(t.batch,(n=>((0,e.openBlock)(),(0,e.createBlock)("span",(0,e.mergeProps)({key:n.key,class:n.cssClasses,style:t.spanDataToStyles(n)},(0,e.toHandlers)(t.spanDataToCbk(n))),(0,e.toDisplayString)(n.text),17)))),128)};const i=c,l=(0,e.defineComponent)({name:"DepotRenderer",components:{BatchRenderer:i},props:{spanBatches:{type:Array,required:!0},spanDataToStyles:{type:Function,required:!0}},emits:["trigger"]});l.render=function(t,n,s,r,o,a){const c=(0,e.resolveComponent)("BatchRenderer");return(0,e.openBlock)(!0),(0,e.createBlock)(e.Fragment,null,(0,e.renderList)(t.spanBatches,((s,r)=>((0,e.openBlock)(),(0,e.createBlock)("span",{key:r,class:"span-batch-"+String(r)},[(0,e.createVNode)(c,{batch:s,spanDataToStyles:t.spanDataToStyles,onTrigger:n[1]||(n[1]=(...e)=>t.$emit("trigger",...e))},null,8,["batch","spanDataToStyles"])],2)))),128)};const u=l,p=require("etali");var h=function(){function e(e,t,n,s,r,o){this.charRange=e,this.key=t,this.cssClasses=n,this.subjects=s,this.spanControllerEvents=r,this.text=o}return e.prototype.clone=function(){return new e(Object.assign({},this.charRange),this.key.slice(),this.cssClasses.slice(),this.subjects.slice(),this.spanControllerEvents,this.text.slice())},e}();function f(e,t){return new h(e,"text-"+e[0]+"-"+e[1],["mt-textspan"],[],{mouseup:function(e,t,n){return n.onMouseUpText(e,t.charRange)}},t)}function d(e,t){return new h(e,"meta-char-"+t+"-"+e[0]+"-"+e[1],["mt-meta-char"],[],{mouseup:function(e,n,s){return s.onMouseUpMetaString(e,n.charRange,t)}},t)}const b=function(){function e(e,t,n){var s=this;void 0===n&&(n=20),this.selectionCharRange=null,this.metaStrings=[],this.selectionExpandedRange=null,this.sourceText=e;var o=function(){var e,n,s,o,a,c;return(0,r.__generator)(this,(function(i){switch(i.label){case 0:i.trys.push([0,5,6,7]),e=(0,r.__values)(t),n=e.next(),i.label=1;case 1:return n.done?[3,4]:[4,[(s=n.value).begChar,s.endChar,s]];case 2:i.sent(),i.label=3;case 3:return n=e.next(),[3,1];case 4:return[3,7];case 5:return o=i.sent(),a={error:o},[3,7];case 6:try{n&&!n.done&&(c=e.return)&&c.call(e)}finally{if(a)throw a.error}return[7];case 7:return[2]}}))}(),a=this.padSpans((0,p.FlattenRanges)(o).map((function(e){return function(e,t,n){var s;if(0===n.length)return f(e,t);var o=Array.from(new Set((s=Array()).concat.apply(s,(0,r.__spreadArray)([],(0,r.__read)(n.map((function(e){return e.subjects}))))))),a=o.map((function(e){return"mt-subject-"+e}));return new h(e,"markrange-"+e[0]+"-"+e[1],a,o,{mouseup:function(e,t,s){return s.onMouseUpMark(e,t.charRange,n)}},t)}([e[0],e[1]],s.sourceText.substring(e[0],e[1]),e[2])})));this.spanBatches=new p.MalleableBatchArray(a,n,(function(e,t,n){e[t]=n.map((function(e){return e.clone()}))}))}return Object.defineProperty(e.prototype,"selection",{get:function(){return this.selectionCharRange},set:function(e){this.selectionCharRange=e,this.clearSelectionRange(),this.insertSelection()},enumerable:!1,configurable:!0}),e.prototype.setMetaStrings=function(e){var t,n;this.metaStrings=[],this.clearSelectionRange(),this.spanBatches.filterInPlace((function(e){return!(e instanceof d)})),this.metaStrings=e;try{for(var s=(0,r.__values)(this.metaStrings),o=s.next();!o.done;o=s.next()){var a=o.value;this.replaceWithSpan(d([a[1],a[1]],a[0]))}}catch(e){t={error:e}}finally{try{o&&!o.done&&(n=s.return)&&n.call(s)}finally{if(t)throw t.error}}this.insertSelection()},e.prototype.padSpans=function(e){var t,n,s=[],o=0;try{for(var a=(0,r.__values)(e),c=a.next();!c.done;c=a.next()){var i=c.value;o<i.charRange[0]&&s.push(f([o,i.charRange[0]],this.sourceText.substring(o,i.charRange[0]))),s.push(i),o=i.charRange[1]}}catch(e){t={error:e}}finally{try{c&&!c.done&&(n=a.return)&&n.call(a)}finally{if(t)throw t.error}}return o<this.sourceText.length&&s.push(f([o,this.sourceText.length],this.sourceText.substring(o,this.sourceText.length))),s},e.prototype.insertSelection=function(){var e,t;null!=this.selectionCharRange&&(this.selectionExpandedRange=this.replaceWithSpan((e=this.selectionCharRange,t=this.sourceText.substring(this.selectionCharRange[0],this.selectionCharRange[1]),new h(e,"selection-"+e[0]+"-"+e[1],["mt-selection"],[],{mouseup:function(e,t,n){return n.onMouseUpSelection(e,t.charRange)}},t))))},e.prototype.replaceWithSpan=function(e){var t=(0,r.__read)(this.spansFromCharRange(e.charRange),4),n=t[0],s=t[1],o=t[2],a=t[3],c=[];if(s){var i=s.clone(),l=i.charRange[0],u=e.charRange[0];i.charRange=[l,u],i.key+="-before",i.text=this.sourceText.substring(l,u),c.push(i)}if(c.push(e),a){var p=a.clone();l=e.charRange[1],u=p.charRange[1],p.charRange=[l,u],p.key+="-after",p.text=this.sourceText.substring(l,u),c.push(p)}return this.spanBatches.splice(n,o-n,c),[c[0].charRange[0],c[c.length-1].charRange[1]]},e.prototype.clearSelectionRange=function(){var e=this;if(null!=this.selectionExpandedRange){var t=(0,r.__read)(this.selectionExpandedRange,2),n=t[0],s=t[1];this.resetBtwnChars(n,s),this.metaStrings.filter((function(e){return e[1]>n&&e[1]<s})).forEach((function(t){e.replaceWithSpan(d([t[1],t[1]],t[0]))})),this.selectionExpandedRange=null}},e.prototype.spansFromCharRange=function(e){for(var t,n,s,o,a=(0,r.__read)([-1,-1],2),c=a[0],i=a[1],l=(0,r.__read)([void 0,void 0],2),u=l[0],p=l[1],h=0,f=0;h<this.spanBatches.rawBatches.length;++h){if(0!==(y=this.spanBatches.rawBatches[h]).length&&y[y.length-1].charRange[1]>e[0]){try{for(var d=(t=void 0,(0,r.__values)(y.entries())),b=d.next();!b.done;b=d.next()){var g=(0,r.__read)(b.value,2),m=g[0];if((v=g[1]).charRange[1]>e[0]){c=f+m,v.charRange[0]<e[0]&&(u=v);break}}}catch(e){t={error:e}}finally{try{b&&!b.done&&(n=d.return)&&n.call(d)}finally{if(t)throw t.error}}break}f+=y.length}for(;h<this.spanBatches.rawBatches.length;++h){var y;if(0!==(y=this.spanBatches.rawBatches[h]).length&&y[y.length-1].charRange[1]>e[1]){try{for(var j=(s=void 0,(0,r.__values)(y.entries())),S=j.next();!S.done;S=j.next()){var v,x=(0,r.__read)(S.value,2);if(m=x[0],(v=x[1]).charRange[1]>e[1]){i=f+m,v.charRange[0]<e[1]&&(p=v,i+=1);break}}}catch(e){s={error:e}}finally{try{S&&!S.done&&(o=j.return)&&o.call(j)}finally{if(s)throw s.error}}break}f+=y.length}return-1===c&&(c=this.spanBatches.contentLength),-1===i&&(i=this.spanBatches.contentLength),[c,u,i,p]},e.prototype.resetBtwnChars=function(e,t){var n=(0,r.__read)(this.spansFromCharRange([e,t]),3),s=n[0],o=n[2];this.spanBatches.resetBatchesFromContentRange(s,o)},e}(),g=require("leader-line");var m=n.n(g);const y=function(){function e(e,t,n,s){void 0===s&&(s="border"),this.markedText=e,this.name=t,this.color=n,this.styleType=s,this.leaderLines=[],this.active=!0}return Object.defineProperty(e.prototype,"active",{get:function(){return this.xActive},set:function(e){this.xActive&&this.lineDisconnect(),this.xActive=e},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"style",{get:function(){var e={};return"background"===this.styleType&&(e["background-color"]=this.color,a().contrast(this.color,"#000000")>=4.5?e.color="#000000":e.color="#ffffff"),"text"===this.styleType&&(e.color=this.color),"border"===this.styleType&&(e.border="dotted 0.1em "+this.color,e["border-radius"]="5px"),"underline"===this.styleType&&(e["border-bottom"]="solid 0.1em "+this.color),e},enumerable:!1,configurable:!0}),e.prototype.lineConnect=function(){if(this.active)for(var e=1;e<this.spans.length;++e)this.leaderLines.push(new(m())(this.spans[e-1],this.spans[e],{startPlug:"square",endPlug:"square",color:this.color,path:"magnet",size:1}))},e.prototype.lineDisconnect=function(){this.leaderLines.forEach((function(e){e.remove()})),this.leaderLines=[]},e.prototype.toggleLines=function(){0===this.leaderLines.length?this.lineConnect():this.lineDisconnect()},Object.defineProperty(e.prototype,"cssClassName",{get:function(){return"mt-subject-"+this.name},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"spans",{get:function(){return Array.from(this.markedText.$el.getElementsByClassName(this.cssClassName))},enumerable:!1,configurable:!0}),e}(),j=(0,e.defineComponent)({name:"VueMarkedText",components:{DepotRenderer:u},props:{sourceText:{type:String,required:!0},marks:{type:Array,required:!0},controller:{type:Object,required:!0},numSubjectColors:{type:Number,default:8},subjectColorLightness:{type:Number,default:1},subjectStyleType:{type:String,default:"border"}},data:function(){return{spanDepot:new b(this.sourceText,this.marks),spanBatches:[],colors:[],activeSubjectNames:new Set,subjectGlossary:new Map}},watch:{sourceText:function(){this.resetSpans()},controller:function(e,t){t.unlink(),e.link(this)},colorOptions:function(){this.resetSubjects(!1),this.$forceUpdate()},subjectStyleType:function(){this.resetSubjects(!1),this.$forceUpdate()}},methods:{generateColors:function(){for(var e,t,n=this,s=a().scale(["ff0000","ffff00","00ff00","00ffff","0000ff","ff00ff","ff0000"].map((function(e){return a().hex(e).hsl()})).map((function(e){return a().hsl(e[0],e[1],e[2]*n.subjectColorLightness)}))).colors(this.numSubjectColors+1).slice(0,this.numSubjectColors),o=Math.max(Math.round(s.length/6),1);o>1&&s.length%o==0;)o-=1;if(1===o)return s;var c=s.slice(),i=0;try{for(var l=(0,r.__values)(s),u=l.next();!u.done;u=l.next()){var p=u.value;c[i]=p,(i+=o)>=c.length&&(i-=c.length)}}catch(t){e={error:t}}finally{try{u&&!u.done&&(t=l.return)&&t.call(l)}finally{if(e)throw e.error}}return c},spanDataToStyles:function(e){var t=this;return e.subjects.map((function(e){return t.subjectGlossary.get(e)})).filter((function(e){return null!=e&&e.active})).map((function(e){return e.style}))},spanDataTrigger:function(e){e.spanControllerEvent(e.rawEvent,e.spanData,this.controller)},resetSpans:function(){this.spanDepot=new b(this.sourceText,this.marks),this.spanBatches=this.spanDepot.spanBatches.rawBatches,this.resetSubjects()},resetSubjects:function(e){var t,n,s,o,a;void 0===e&&(e=!0),this.subjectGlossary.clear();var c=new Set((t=Array()).concat.apply(t,(0,r.__spreadArray)([],(0,r.__read)(this.marks.map((function(e){return e.subjects})))))),i=0,l=this.colors.length;try{for(var u=(0,r.__values)(c),p=u.next();!p.done;p=u.next()){var h=p.value;this.subjectGlossary.set(h,new y(this,h,this.colors[i],this.subjectStyleType)),i=(i+1)%l}}catch(e){n={error:e}}finally{try{p&&!p.done&&(s=u.return)&&s.call(u)}finally{if(n)throw n.error}}if(e)this.activeSubjectNames=new Set(this.subjectGlossary.keys());else try{for(var f=(0,r.__values)(this.subjectGlossary.entries()),d=f.next();!d.done;d=f.next()){var b=(0,r.__read)(d.value,2),g=(h=b[0],b[1]);this.activeSubjectNames.has(h)||(g.active=!1)}}catch(e){o={error:e}}finally{try{d&&!d.done&&(a=f.return)&&a.call(f)}finally{if(o)throw o.error}}},resetSelection:function(){this.spanDepot.selection=null;var e=window.getSelection();e&&e.removeAllRanges()},setSelection:function(e,t){this.spanDepot.selection=[e,t];var n=window.getSelection();n&&n.removeAllRanges()},getSelection:function(){return this.spanDepot.selection},subjectColor:function(e){var t;return null===(t=this.subjectGlossary.get(e))||void 0===t?void 0:t.color},subjectStyle:function(e){var t;return null===(t=this.subjectGlossary.get(e))||void 0===t?void 0:t.style},activateSubject:function(e){var t=this.subjectGlossary.get(e);null!=t&&(t.active=!0),this.activeSubjectNames.add(e),this.$forceUpdate()},deactivateSubject:function(e){var t=this.subjectGlossary.get(e);null!=t&&(t.active=!1),this.activeSubjectNames.delete(e),this.$forceUpdate()},toggleSubject:function(e){var t=this.subjectGlossary.get(e);null!=t&&(t.active?this.deactivateSubject(e):this.activateSubject(e))},activateAllSubjects:function(){this.subjectGlossary.forEach((function(e){e.active=!0})),this.activeSubjectNames=new Set(this.subjectGlossary.keys()),this.$forceUpdate()},deactivateAllSubjects:function(){this.subjectGlossary.forEach((function(e){e.active=!1})),this.activeSubjectNames=new Set,this.$forceUpdate()},lineConnectSubject:function(e){var t=this.subjectGlossary.get(e);null!=t&&t.lineConnect()},lineDisconnectSubject:function(e){var t=this.subjectGlossary.get(e);null!=t&&t.lineDisconnect()},toggleLines:function(e){var t=this.subjectGlossary.get(e);null!=t&&t.toggleLines()},metaStringEncloseSections:function(e,t){var n=Array.apply(void 0,(0,r.__spreadArray)((0,r.__spreadArray)([],(0,r.__read)(e.map((function(e){return["[",e]})))),(0,r.__read)(t.map((function(e){return["]",e]})))));this.spanDepot.setMetaStrings(n)},metaStringDivideBatches:function(){var e=Array.apply(void 0,(0,r.__spreadArray)([],(0,r.__read)(this.spanBatches.filter((function(e){return e.length>0})).map((function(e){return["|",e[0].charRange[0]]})))));this.spanDepot.setMetaStrings(e)},removeMetaStrings:function(){this.spanDepot.setMetaStrings([])}},beforeMount:function(){this.colors=this.generateColors(),this.controller.link(this),this.resetSpans()},beforeUnmount:function(){this.controller.unlink()}});n(479),n(391),j.render=t,j.__scopeId="data-v-9c7996ec";const S=j;var v=function(){function e(){this.markedText=null}return e.prototype.link=function(e){this.markedText!==e&&(this.deselect(),this.markedText=e)},e.prototype.unlink=function(){null!=this.markedText&&(this.deselect(),this.markedText=null)},e}(),x=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return(0,r.__extends)(t,e),t.prototype.deselect=function(){},t.prototype.selectNew=function(){},t.prototype.selectMarks=function(e){},t.prototype.onMouseUpText=function(){},t.prototype.onMouseUpMark=function(){},t.prototype.onMouseUpSelection=function(){},t.prototype.onMouseUpMetaString=function(){},t.prototype.onMouseUpOther=function(){},t}(v),C=function(e){function t(t,n,s){var r=e.call(this)||this;return r.deselectCbk=t,r.selectNewCbk=n,r.selectMarksCbk=s,r}return(0,r.__extends)(t,e),t.prototype.deselect=function(){this.markedText&&this.markedText.resetSelection(),this.deselectCbk()},t.prototype.selectNew=function(e,t){this.markedText&&this.markedText.setSelection(e,t),this.selectNewCbk(e,t)},t.prototype.selectMarks=function(e){this.markedText&&(1===e.length?this.markedText.setSelection(e[0].begChar,e[0].endChar):this.markedText.resetSelection()),this.selectMarksCbk(e)},t.prototype.onMouseUpText=function(e,t){e.stopPropagation();var n=window.getSelection();if(n){if(!(n.anchorNode instanceof Text&&n.focusNode instanceof Text))return console.error("Window selection behaving strangely; anchor or focus not a Text."),void this.deselect();var s=!1,r=document.createRange();r.setStart(n.anchorNode,n.anchorOffset),r.setEnd(n.focusNode,n.focusOffset),1!==r.compareBoundaryPoints(Range.START_TO_END,r)&&(s=!0,r.setStart(n.focusNode,n.focusOffset),r.setEnd(n.anchorNode,n.anchorOffset)),0===r.toString().length&&n.focusNode.length>n.focusOffset&&r.setEnd(r.endContainer,r.endOffset+1);var o=r.startOffset,a=r.endOffset,c=r.toString().length;s?a=(o+=t[0])+c:o=(a+=t[0])-c,this.selectNew(o,a)}},t.prototype.onMouseUpMark=function(e,t,n){e.stopPropagation();var s=window.getSelection();if(s)if(0===s.getRangeAt(0).toString().length){for(var r=document.createRange(),o=e.target;!(o instanceof Text);)o=o.childNodes[0];r.setStart(o,0);for(var a=e.target;!(a instanceof Text);){var c=a.childNodes;a=c[c.length-1]}r.setEnd(a,a.length),this.selectMarks(n)}else this.onMouseUpText(e,t)},t.prototype.onMouseUpSelection=function(e,t){e.stopPropagation()},t.prototype.onMouseUpMetaString=function(e,t,n){e.stopPropagation()},t.prototype.onMouseUpOther=function(e){e.stopPropagation(),this.deselect()},t}(v),w=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return(0,r.__extends)(t,e),t.prototype.onMouseUpText=function(e,t){e.stopPropagation();var n=window.getSelection();if(n){if(!(n.anchorNode instanceof Text&&n.focusNode instanceof Text))return console.error("Window selection behaving strangely; anchor or focus not a Text."),void this.deselect();var s=!1,r=document.createRange();r.setStart(n.anchorNode,n.anchorOffset),r.setEnd(n.focusNode,n.focusOffset),1!==r.compareBoundaryPoints(Range.START_TO_END,r)&&(s=!0,r.setStart(n.focusNode,n.focusOffset),r.setEnd(n.anchorNode,n.anchorOffset)),0===r.toString().length&&n.focusNode.length>n.focusOffset&&r.setEnd(r.endContainer,r.endOffset+1);var o=r.toString();if(/\S/.test(o)){var a,c;if(/\s/.test(o[0]))a=o.search(/(\S)/)+r.startOffset;else{var i=document.createRange();i.setStart(r.startContainer,0),i.setEnd(r.startContainer,r.startOffset),a=i.toString().search(/([^\w\d])[\w\d]*$/)+1}if(/\s/.test(o[o.length-1]))(c=o.search(/(\S)\s*$/)+r.endOffset-o.length+1)<0&&(c=0);else{var l=document.createRange();l.setStart(r.endContainer,r.endOffset),l.setEnd(r.endContainer,r.endContainer.length),-1===(c=l.toString().search(/([^\w\d])/))?c=r.endContainer.length:c+=r.endOffset}r.setStart(r.startContainer,a),r.setEnd(r.endContainer,c),n.removeAllRanges(),n.addRange(r);var u=r.toString().length;s?c=(a+=t[0])+u:a=(c+=t[0])-u,this.selectNew(a,c)}else this.deselect()}},t}(C)})(),s})()}));
//# sourceMappingURL=vue-mark-text.js.map